Name:          libXaw3d
Version:       1.6.6
Release:       1mamba
Summary:       The Three-D Athena Toolkit (Xaw3d)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        http://xorg.freedesktop.org/archive/individual/lib/libXaw3d-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXt-devel
BuildRequires: xorgproto-devel
## AUTOBUILDREQ-END
BuildRequires: bison
BuildRequires: flex
BuildRequires: gccmakedep
BuildRequires: imake >= 1.0.2
Provides:      Xaw3d
Obsoletes:     Xaw3d < 1.6.4

%description
The Three-D Athena Toolkit (Xaw3d)

%package devel
Summary:       Development files for Xaw3d
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      Xaw3d-devel
Obsoletes:     Xaw3d-devel < 1.6.4

%description devel
Development files for Xaw3d, the Three-D Athena Toolkit

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libXaw3d.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/X11/Xaw3d
%{_includedir}/X11/Xaw3d/*.h
%{_libdir}/libXaw3d.a
%{_libdir}/libXaw3d.so
%{_libdir}/pkgconfig/xaw3d.pc
%{_datadir}/doc/libXaw3d/README.XAW3D

%changelog
* Sun Mar 03 2024 Automatic Build System <autodist@openmamba.org> 1.6.6-1mamba
- automatic version update by autodist

* Sat May 13 2023 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic version update by autodist

* Fri Sep 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.4-1mamba
- update to 1.6.4

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic update by autodist

* Sat Dec 08 2012 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- update to 1.6.2

* Fri Jul 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5E-5mamba
- renamed to libXaw3d

* Wed Oct 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5E-4mamba
- specfile updates

* Tue Mar 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5E-3qilnx
- rebuilt

* Thu Jul 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5E-2qilnx
- added ldconfig execution code

* Mon Jul 11 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5E-1qilnx
- package created by autospec
